### Method

# GtkSource Buffer remove_source_marks

#### Declaration [src]

    void
    gtk_source_buffer_remove_source_marks (
      GtkSourceBuffer* buffer,
      const GtkTextIter* start,
      const GtkTextIter* end,
      const gchar* category
    )

#### Description [src]

Remove all marks of `category` between `start` and `end` from the buffer.

If `category` is NULL, all marks in the range will be removed.

#### Parameters

`start`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

`category`

  Type: `const gchar*`

  Category to search for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.